<div class="container my-5">
    <!-- When cart is empty -->
    <div class="text-center my-5" *ngIf="cartData.data[0].numInCart==0"> 
        <h4>Your cart is Empty</h4>
        <button class="btn btn-primary btn-lg mt-3" routerLink="/">GO TO SHOP</button>
    </div>



    <!-- When the cart has some items -->
    <ng-container *ngIf="cartData.data[0].numInCart !== 0">
        <div class="row">
            <div class="col-md-12">
                <table class="table">
                    <thead class="table-dark">
                        <tr class="text-center">
                            <th>Image</th>
                            <th>Title</th>
                            <th>Price</th>
                            <th>Quantity</th>
                            <th>Subtotal</th>
                        </tr>
                    </thead>

                    <tbody class="">
                        <tr *ngFor="let c of cartData.data; let i =index;">
                            <td class="d-flex align-items-center justify-conent-around">
                                <img [src]="c.product.image" alt="{{ c.product.title }}" height="60" class="order-1">
                                <span class="text-danger mr-md-2" style="cursor: pointer;"><i class="fa fa-trash" (click)="cartService.DeleteProductFromCart(i)"></i></span>
                            </td>

                            <td><p>{{ c.product.title }}</p></td>
                            <td><p>{{ c.product.price | currency:'USD'}}</p></td>

                            <td>
                                <form action="">
                                    <div id="decrease" (click)="ChangeQuantity(i, false)" class="value-button">
                                        <i class="fa fa-minus"></i>
                                    </div>
                                    <input type="number" id="number" [value]="c.numInCart" readonly [max]="c.product.quantity">
                                    <div id="increase" (click)="ChangeQuantity(i, true)" class="value-button">
                                        <i class="fa fa-plus"></i>
                                    </div>
                                </form>
                            </td>

                            <td>
                                <p>{{cartService.CalculateSubTotal(i) | currency: 'USD'}}</p>
                            </td>
                        </tr>

                        <tr class="border-0">
                            <td style="border:none;"></td>
                            <td></td>
                            <td></td>
                            <td>Total</td>
                            <td>{{cartTotal | currency: "USD"}}</td>

                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-md-12 d-flex mb-5">
                <div class="d-flex justify-content-between flex-sm-column flex-md-row w-100">
                    <a routerLink="/checkout" class="btn btn-danger btn-sm order-1">Checkout</a>
                    <a routerLink="/" class="btn btn-success btn-sm order-0">Continue Shopping</a>

                </div>
            </div>
        </div>
    </ng-container>
</div>